<?php
/*
Plugin Name: content-email-anti-spam
Plugin URI: http://wordpress.org/extend/plugins/content-email-anti-spam/
Description: Replaces email addresses with strong encoded javascript
Author: Benoit Gobé
Version: 1.0.1
Author URI: http://www.webdev-kyros.fr
*/

/* ==================================================================================
 * Include PHP Class
 * ================================================================================== */

if ( ! defined( 'ANTISPAM_PLUGIN_BASENAME' ) )
	define( 'ANTISPAM_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );

if ( ! defined( 'ANTISPAM_PLUGIN_NAME' ) )
	define( 'ANTISPAM_PLUGIN_NAME', trim( dirname( ANTISPAM_PLUGIN_BASENAME ), '/' ) );

if ( ! defined( 'ANTISPAM_PLUGIN_DIR' ) )
	define( 'ANTISPAM_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . ANTISPAM_PLUGIN_NAME );

require_once ANTISPAM_PLUGIN_DIR . '/emailcode.class.php';

/* ==================================================================================
 * Add filter to the content
 * ================================================================================== */

add_filter ('the_content', 'anti_email_spam', 15);

/* ==================================================================================
 * Replace functions
 * ================================================================================== */

function anti_callback_js ($matches)
{
	$emailcode = new ClassEmailcode();
	return $emailcode->emailgetencode($matches[0],$matches[0]);
}

function anti_email_spam ($text)
{
	return preg_replace_callback ('/([> ])[A-Z0-9._-]+@[A-Z0-9][A-Z0-9.-]{0,61}[A-Z0-9]\.[A-Z.]{2,6}/i', 'anti_callback_js', $text);
}
?>